> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# Create a payment schedule

POST https://rest.test.zuora.com/v1/payment-schedules
Content-Type: application/json

Creates a payment schedule. You can create either recurring payment schedules or custom payment schedules.

**Note:**
- This operation is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled.
- You can choose to use payment schedules to process payments associated with billing documents or unapplied payments. If Standalone Payment is enabled, you can also use payment schedules to process standalone payments.
- If multiple billing documents are associated to a payment schedule, when collecting the payment schedule item, the payment belongs to the payment schedule item will be applied to billing documents based on the due date of the billing document, in the ascending order.
- When the Multi-currency and Standalone Payments features are not enabled, you can create and update a payment schedule and payment schedule item in a currency other than the account currency.
- This operation is version controlled. If you set `Zuora-Version` to `329.0`, when creating custom payment schedules associated with billing documents, you need to specify the billing document for each payment schedule item; If `Zuora-Version` is set to `330.0` or a later available version, when creating custom payment schedules associated with billing documents, you only need to specify the billing documents at the payment schedule level. The default version number is `329.0`. However, we recommend that you specify the version to `330.0` or a later version.


Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/payments/payment-schedules/post-payment-schedule

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Headers

- `Idempotency-Key` (string, optional) — Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.
- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Version` (string, optional) — The minor API version. For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

### Body (application/json)

This endpoint expects a POSTPaymentScheduleRequest.

- `accountId` (string, optional) — ID of the customer account the payment schedule belongs to. **Note:** `accountId` and `accountNumber` cannot both be `null`. When both fields are specified, the two values must match each other.
- `accountNumber` (string, optional) — Account number of the customer account the payment schedule belongs to. **Note:** `accountId` and `accountNumber` cannot both be `null`. When both fields are specified, the two values must match each other.
- `amount` (double, optional) — The amount of each payment schedule item in the payment schedule. **Note:** - This field is required when `items` is not specified. - This field will be ignored when `items` is specified. - When creating recurring payment schedules, there are 2 options to specify amounts: - Specify `totalAmount` and `occurrences`, `amount` will be calculated. - Specify `amount` and `occurrences`, `totalAmount` will be calculated. You must specify either `totalAmount` or `amount`. Specifying both fields at the same time is not allowed.
- `billingDocument` (PostPaymentScheduleRequestBillingDocument, optional) — Object of the billing document with which the payment schedule is associated. **Note:** - This field is optional. If you have the Standalone Payment feature enabled, you can leave this field blank and set `standalone` to `true` to create standalone payments. You can also choose to create unapplied payments by leaving this object blank and setting `standalone` to `false`. - If Standalone Payment is not enabled, leaving this object unspecified will create unapplied payments. - This field is available only if you are on the latest Zuora API version, or you set the `Zuora-Version` request header to `330.0` or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version).
- `billingDocuments` (list of PostPaymentScheduleRequestBillingDocumentsItems, optional) — Container array of the multiple billing documents associated with the payment schedule. If multiple billing documents are associated to a payment schedule, when collecting the payment schedule item, the payment belongs to the payment schedule item will be applied to billing documents based on the due date of the billing document, in the ascending order.
- `currency` (string, optional) — Currency of the payment schedule. **Note:** - This field is optional. The default value is the account's default currency. - This field will be ignored when `items` is specified. - For custom payments, if Multi-currency is enabled, the payment currency can be different from the account currency for custom payment. - For recurring payments, if Multi-currency is enabled, the payment currency can be different from the account currency but should be the same as billing currency for a recurring payment.
- `description` (string, optional) — Description of the payment schedule. Max length is 255.
- `items` (list of PostPaymentScheduleRequestItemsItems, optional) — Container array for payment schedule items.
- `occurrences` (integer, optional) — The number of payment schedule item to be created. Maximum value is 1000. **Note:** - This field is required when `items` is not specified. - This field will be ignored when `items` is specified.
- `paymentGatewayId` (string, optional) — ID of the payment gateway. **Note:** - This field is optional. The default value is the account's default payment gateway ID. If no payment gateway ID is found on the cusotmer account level, the default value will be the tenant's default payment gateway ID. - This field will be ignored when `items` is specified.
- `paymentMethodId` (string, optional) — ID of the payment method. **Note:** - This field is optional. The default value is the account's default payment method ID. - This field will be ignored when `items` is specified.
- `paymentOption` (list of PaymentSchedulePaymentOptionFields, optional) — Container for the paymentOption items, which describe the transactional level rules for processing payments. Currently, only the Gateway Options type is supported. Here is an example: ``` "paymentOption": [ { "type": "GatewayOptions", "detail": { "SecCode":"WEB" } } ] ``` `paymentOption` of the payment schedule takes precedence over `paymentOption` of the payment schedule item.
- `paymentScheduleNumber` (string, optional) — You can use this field to specify the number of the payment schedule. Only characters from the following sets are allowed: A-Z, a-z, 0-9, and `-`. Payment numbers must start with a letter. In addition,`-` can only be used at most once and cannot be placed at the beginning or the end of the payment numbers.
- `period` (enum, optional) — The frequency for the payment collection since the `startDate`. **Note:** - Thie field is required when `items` is not specified. - This field will be ignored when `items` is specified. - If `startDate` is `30` or `31` and `period` is `Monthly`, when in February, payment schedule will use the last day of February for payment collection.
  - Allowed values: `Monthly`, `Weekly`, `BiWeekly`
- `prepayment` (boolean, optional) — Indicates whether the payments created by the payment schedule will be used as reserved payments. This field will only be available if the prepaid cash drawdown permission is enabled. See [Prepaid Cash with Drawdown](https://knowledgecenter.zuora.com/Zuora_Billing/Billing_and_Invoicing/JA_Advanced_Consumption_Billing/Prepaid_Cash_with_Drawdown) for more information.
- `runHour` (integer, optional) — Specifies at which hour in the day in the tenant’s time zone when this payment will be collected. Available values: `[0,1,2,~,22,23]`. **Note:** - If the time difference between your tenant’s timezone and the timezone where Zuora servers are is not in full hours, for example, 2.5 hours, the payment schedule items will be triggered half hour later than your scheduled time. - If the payment `runHour` and `scheduledDate` are backdated, the system will collect the payment when the next runHour occurs. - This field is optional. The default value is `0`. - This field will be ignored when `items` is specified.
- `standalone` (boolean, optional) — Indicate whether the payments created by the payment schedule are standalone payments or not. When setting to `true`, standalone payments will be created. When setting to `false`, you can either specify a billing document, or not specifying any billing documents. In the later case, unapplied payments will be created. If set to `null`, standalone payment will be created. **Note**: - This field is only available if the Standalone Payment is enabled. Do not include this field if Standalone Payment is not enabled. - If Standalone Payment is enabled, default value is `true`.
- `startDate` (date, optional) — The date for the first payment collection. **Note:** - This field is required when `items` is not specified. - This field will be ignored when `items` is specified.
- `totalAmount` (double, optional) — The total amount of that the payment schedule will collect. This field is only available for recurring payment schedules. **Note**: - When creating recurring payment schedules, there are 2 options to specify amounts: - Specify `totalAmount` and `occurrences`, `amount` will be calculated. - Specify `amount` and `occurrences`, `totalAmount` will be calculated. You must specify either `totalAmount` or `amount`. Specifying both fields at the same time is not allowed. - If the Standalone Payments feature is enabled and `standalone` is set to `true` for the payment schedule, `totalAmount` will be ignored.

## Response

### 200

OK

- `accountId` (string, optional) — ID of the account that owns the payment schedule.
- `accountNumber` (string, optional) — Number of the account that owns the payment schedule.
- `billingDocument` (PostPaymentScheduleResponseBillingDocument, optional)
- `billingDocuments` (list of PostPaymentScheduleResponseBillingDocumentsItems, optional) — Container array of the multiple billing documents associated with the payment schedule.
- `createdById` (string, optional) — ID of the user who created this payment schedule.
- `createdDate` (date, optional) — The date and time the payment schedule is created.
- `description` (string, optional) — The description of the payment schedule.
- `id` (string, optional) — ID of the payment schedule.
- `isCustom` (boolean, optional) — Indicates if the payment schedule is a custom payment schedule.
- `items` (list of PaymentScheduleItemCommonResponse, optional) — Container for payment schedule items.
- `nextPaymentDate` (date, optional) — The date the next payment will be processed.
- `occurrences` (integer, optional) — The number of payment schedule items that are created by this payment schedule.
- `paymentOption` (list of PaymentSchedulePaymentOptionFields, optional) — Container for the paymentOption items, which describe the transactional level rules for processing payments. Currently, only the Gateway Options type is supported. `paymentOption` of the payment schedule takes precedence over `paymentOption` of the payment schedule item.
- `paymentScheduleNumber` (string, optional) — Number of the payment schedule.
- `period` (string, optional, nullable) — For recurring payment schedule only. The period of payment generation. Available values include: `Monthly`, `Weekly`, `BiWeekly`. Return `null` for custom payment schedules.
- `prepayment` (boolean, optional) — Indicates whether the payments created by the payment schedule are used as a reserved payment. This field will only be available if the prepaid cash drawdown permission is enabled. See [Prepaid Cash with Drawdown](https://knowledgecenter.zuora.com/Zuora_Billing/Billing_and_Invoicing/JA_Advanced_Consumption_Billing/Prepaid_Cash_with_Drawdown) for more information.
- `recentPaymentDate` (date, optional, nullable) — The date the last payment was processed.
- `runHour` (integer, optional) — [0,1,2,~,22,23] At which hour in the day in the tenant’s timezone this payment will be collected. If the payment `runHour` and `scheduledDate` are backdated, the system will collect the payment when the next runHour occurs. Return `0` for custom payment schedules.
- `standalone` (boolean, optional) — Indicates if the payments that the payment schedule created are standalone payments or not.
- `startDate` (date, optional) — The date when the first payment of this payment schedule is proccessed.
- `status` (enum, optional) — The status of the payment schedule. - `Active`: There are still pament schedule items to process. - `Canceled`: After a payment schedule is canceled by the user, the schedule is marked as `Canceled`. - `Completed`: After all payment schedule items are processed, the schedule is marked as `Completed`.
  - Allowed values: `Active`, `Canceled`, `Completed`
- `success` (boolean, optional) — Returns `true` if the request was processed successfully.
- `totalAmount` (double, optional) — The total amount that will be collected by this payment schedule. This field will contain a null value if the `standalone` value is `true`.
- `totalPaymentsErrored` (integer, optional) — The number of errored payments.
- `totalPaymentsProcessed` (integer, optional) — The number of processed payments.
- `updatedById` (string, optional) — ID of the user who last updated this payment schedule.
- `updatedDate` (date, optional) — The date and time the payment schedule is last updated.

## Errors

### 500 Internal Server Error

Internal Server Error

- `reasons` (list of ErrorResponseReasonsItems, optional)

### 400 Client Request Error

Request Errors

- `processId` (string, optional) — The ID of the process that handles the operation.
- `reasons` (list of CommonResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (string, optional) — Unique identifier of the request.
- `success` (boolean, optional) — Indicates whether the call succeeded.

## Types

### PostPaymentScheduleRequestBillingDocument

Object of the billing document with which the payment schedule is associated. **Note:** - This field is optional. If you have the Standalone Payment feature enabled, you can leave this field blank and set `standalone` to `true` to create standalone payments. You can also choose to create unapplied payments by leaving this object blank and setting `standalone` to `false`. - If Standalone Payment is not enabled, leaving this object unspecified will create unapplied payments. - This field is available only if you are on the latest Zuora API version, or you set the `Zuora-Version` request header to `330.0` or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version).

- `type` (enum, required, default: Invoice) — The type of the billing document.
  - Allowed values: `Invoice`, `DebitMemo`
- `id` (string, optional) — ID of the billing document. **Note:** If a billing document is specified, either `id` or `number` of the billing document must be specified. You cannot specify both of them or skip both.
- `number` (string, optional) — Number of the billing document. **Note:** If a billing document is specified, either `id` or `number` of the billing document must be specified. You cannot specify both of them or skip both.

### PostPaymentScheduleRequestBillingDocumentsItems

- `type` (enum, required) — Denotes if the billing document is of the type invoice or debit memo.
  - Allowed values: `Invoice`, `DebitMemo`
- `id` (string, optional) — ID of the billing document. **Note:** If a billing document is specified, either `id` or `number` of the billing document must be specified. You cannot specify both of them or skip both.
- `number` (string, optional) — Number of the billing document. If the billing document is a debit memo, it contains the debit memo number. If the billing document is an invoice, it contains the invoice number. **Note:** If a billing document is specified, either `id` or `number` of the billing document must be specified. You cannot specify both of them or skip both.

### PostPaymentScheduleRequestItemsItems

Container for custom fields of a Payment Schedule Item object.

- `amount` (double, optional) — The amount that needs to be collected by this payment schedule item.
- `billingDocument` (PostPaymentScheduleRequestItemsItemsBillingDocument, optional) — Object for the billing document with which the payment schedule item is associated. **Note:** You must specify the same billing document for all the payment schedule items in one payment schedule.
- `currency` (string, optional) — The currency of the payment. **Note**: - This field is optional. If not specified, the default value is the currency set for the account. - For custom payments, if Multi-currency is enabled, the payment currency can be different from the account currency for custom payment. - For recurring payments, if Multi-currency is enabled, the payment currency can be different from the account currency but should be the same as billing currency for a recurring payment.
- `description` (string, optional) — Description of the payment schedule item.
- `paymentGatewayId` (string, optional) — The ID of the payment gateway. **Note**: - This field is optional. If not specified, the default value is the payment gateway id set for the account.
- `paymentMethodId` (string, optional) — The ID of the payment method. **Note**: - This field is optional. If not specified, the default value is the payment method id set for the account.
- `paymentOption` (list of PaymentSchedulePaymentOptionFields, optional) — Container for the paymentOption items, which describe the transactional level rules for processing payments. Currently, only the Gateway Options type is supported. Here is an example: ``` "paymentOption": [ { "type": "GatewayOptions", "detail": { "SecCode":"WEB" } } ] ``` `paymentOption` of the payment schedule takes precedence over `paymentOption` of the payment schedule item. To enable this field, submit a request at [Zuora Global Support](https://support.zuora.com/). This field is only available if `Zuora-Version` is set to `337.0` or later [available versions](https://developer.zuora.com/api-references/api/overview/#section/API-Versions/Minor-Version).
- `runHour` (string, optional) — At which hour in the day in the tenant’s timezone this payment will be collected. Available values:`[0,1,2,~,22,23]`. If the time difference between your tenant’s timezone and the timezone where Zuora servers are is not in full hours, for example, 2.5 hours, the payment schedule items will be triggered half hour later than your scheduled time. The default value is `0`. If the payment `runHour` and `scheduledDate` are backdated, the system will collect the payment when the next runHour occurs.
- `scheduledDate` (date, optional) — The date to collect the payment.

### PaymentSchedulePaymentOptionFields

- `detail` (PaymentSchedulePaymentOptionFieldsDetail, optional) — The field used to pass the transactional payment data to the gateway side in the key-value format.
- `type` (string, optional) — The type of the payment option. Currently, only `GatewayOptions` is supported for specifying Gateway Options fields supported by a payment gateway.

### PostPaymentScheduleResponseBillingDocument

- `id` (string, optional) — ID of the billing document. for example, `2c9890306fb2121e016fb21a6b550041`.
- `number` (string, optional) — Number of the billing docuemnt, for example, `INV00002345`.
- `type` (string, optional) — Indicates whether the associated billing document is a debit memo or a invoice.

### PostPaymentScheduleResponseBillingDocumentsItems

- `id` (string, optional) — ID of the billing document.
- `number` (string, optional) — Number of the billing document. If the billing document is a debit memo, it contains the debit memo number. If the billing document is an invoice, it contains the invoice number.
- `type` (enum, optional) — Denotes if the billing document is of the type invoice or debit memo.
  - Allowed values: `Invoice`, `DebitMemo`

### PaymentScheduleItemCommonResponse

Container for custom fields of a Payment Schedule Item object.

- `accountId` (string, optional) — ID of the customer account that owns the payment schedule item, for example `402880e741112b310149b7343ef81234`.
- `amount` (double, optional) — The total amount of the payment schedule.
- `balance` (double, optional) — The remaining balance of payment schedule item.
- `billingDocument` (PaymentScheduleItemCommonResponseBillingDocument, optional)
- `createdById` (string, optional) — The ID of the user who created the payment schedule item.
- `createdDate` (date, optional) — The date and time when the payment schedule item was created.
- `currency` (string, optional) — The currency of the payment.
- `description` (string, optional) — The description of the payment schedule item.
- `errorMessage` (string, optional) — The error message indicating if the error is related to configuration or payment collection.
- `id` (string, optional) — ID of the payment schedule item. For example, `412880e749b72b310149b7343ef81346`.
- `number` (string, optional) — Number of the payment schedule item.
- `paymentGatewayId` (string, optional, nullable) — ID of the payment gateway of the payment schedule item.
- `paymentMethodId` (string, optional, nullable) — ID of the payment method of the payment schedule item.
- `paymentOption` (list of PaymentSchedulePaymentOptionFields, optional) — Container for the paymentOption items, which describe the transactional level rules for processing payments. Currently, only the Gateway Options type is supported. `paymentOption` of the payment schedule takes precedence over `paymentOption` of the payment schedule item.
- `paymentScheduleId` (string, optional) — ID of the payment schedule that contains the payment schedule item, for example, `ID402880e749b72b310149b7343ef80005`.
- `paymentScheduleNumber` (string, optional) — Number of the payment schedule that contains the payment schedule item, for example, `ID402880e749b72b310149b7343ef80005`.
- `psiPayments` (list of LinkedPaymentID, optional) — Container for payments linked to the payment schedule item.
- `runHour` (integer, optional) — At which hour in the day in the tenant’s timezone this payment will be collected.
- `scheduledDate` (date, optional) — The scheduled date when the payment is processed.
- `standalone` (boolean, optional) — Indicates if the payment created by the payment schedule item is a standalone payment or not.
- `status` (enum, optional) — ID of the payment method of the payment schedule item. - `Pending`: Payment schedule item is waiting for processing. - `Processed`: The payment has been collected. - `Error`: Failed to collect the payment. - `Canceled`: After a pending payment schedule item is canceled by the user, the item is marked as `Canceled`.
  - Allowed values: `Pending`, `Processed`, `Error`, `Canceled`
- `updatedById` (string, optional) — The ID of the user who updated the payment schedule item.
- `updatedDate` (date, optional) — The date and time when the payment schedule item was last updated.

### ErrorResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### CommonResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### PostPaymentScheduleRequestItemsItemsBillingDocument

Object for the billing document with which the payment schedule item is associated. **Note:** You must specify the same billing document for all the payment schedule items in one payment schedule.

- `type` (enum, required) — The type of the billing document. The default value is `Invoice`.
  - Allowed values: `Invoice`, `DebitMemo`
- `id` (string, optional) — The ID of the billing document. **Note:** If a billing document is specified, one of `id` or `number` must be specified. You cannot specify both of them or or skip both.
- `number` (string, optional) — The number of the billing document. **Note:** If a billing document is specified, one of `id` or `number` must be specified. You cannot specify both of them or skip both.

### PaymentSchedulePaymentOptionFieldsDetail

The field used to pass the transactional payment data to the gateway side in the key-value format.

- `key` (string, optional) — The name of the field.
- `value` (string, optional) — The value of the field.

### PaymentScheduleItemCommonResponseBillingDocument

- `id` (string, optional) — ID of the billing document. for example, `2c9890306fb2121e016fb21a6b550041`.
- `number` (string, optional) — Number of the billing docuemnt, for example, `INV00002345`.
- `type` (string, optional) — Indicates whether the associated billing document is a debit memo or a invoice.

### LinkedPaymentID

- `paymentId` (string, optional) — ID of the payment.

## Examples

**Request**

```json
{
  "accountId": "8a90b4488e7d5c0f018e7db3892400b2",
  "amount": 14.99,
  "billingDocument": {
    "type": "Invoice",
    "id": "8a90b44890c9bb0d0190d8c048a90da6"
  },
  "items": [
    {
      "amount": 14.99,
      "scheduledDate": "2024-07-31"
    }
  ]
}
```

**Response**

```json
{
  "accountId": "8a90b4488e7d5c0f018e7db3892400b2",
  "accountNumber": "A00000370",
  "billingDocument": {
    "id": "8a90b44890c9bb0d0190d8c048a90da6",
    "number": "INV00001823",
    "type": "Invoice"
  },
  "billingDocuments": [
    {
      "id": "8a90b44890c9bb0d0190d8c048a90da6",
      "number": "INV00001823",
      "type": "Invoice"
    }
  ],
  "createdById": "2c92c8f95e2d6ebb015e325df48e02da",
  "createdDate": "2024-07-22",
  "description": null,
  "id": "8a90d61290c9ceb60190d8eac80b1259",
  "isCustom": true,
  "items": [
    {
      "amount": 14.99,
      "balance": 14.99,
      "billingDocument": {
        "id": "8a90b44890c9bb0d0190d8c048a90da6",
        "number": "INV00001823",
        "type": "Invoice"
      },
      "createdById": "2c92c8f95e2d6ebb015e325df48e02da",
      "createdDate": "2024-07-22",
      "currency": "USD",
      "description": null,
      "errorMessage": null,
      "id": "8a90d61290c9ceb60190d8eac80e125a",
      "number": "1",
      "paymentGatewayId": null,
      "paymentMethodId": null,
      "paymentScheduleId": "8a90d61290c9ceb60190d8eac80b1259",
      "paymentScheduleNumber": "PS-00000001",
      "runHour": 0,
      "scheduledDate": "2024-07-31",
      "status": "Pending",
      "updatedById": "2c92c8f95e2d6ebb015e325df48e02da",
      "updatedDate": "2024-07-22",
      "cancellationReason": null,
      "cancelledById": null,
      "cancelledOn": null,
      "paymentGatewayNumber": null,
      "paymentId": null
    }
  ],
  "nextPaymentDate": "2024-07-31",
  "occurrences": 1,
  "paymentScheduleNumber": "PS-00000001",
  "period": null,
  "prepayment": false,
  "recentPaymentDate": null,
  "runHour": 0,
  "startDate": "2024-07-31",
  "status": "Active",
  "success": true,
  "totalAmount": 14.99,
  "totalPaymentsErrored": 0,
  "totalPaymentsProcessed": 0,
  "updatedById": "2c92c8f95e2d6ebb015e325df48e02da",
  "updatedDate": "2024-07-22",
  "cancelDate": null,
  "cancelledById": null,
  "cancelledOn": null
}
```

**SDK Code**

```python response
import requests

url = "https://rest.test.zuora.com/v1/payment-schedules"

payload = {
    "accountId": "8a90b4488e7d5c0f018e7db3892400b2",
    "amount": 14.99,
    "billingDocument": {
        "type": "Invoice",
        "id": "8a90b44890c9bb0d0190d8c048a90da6"
    },
    "items": [
        {
            "amount": 14.99,
            "scheduledDate": "2024-07-31"
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript response
const url = 'https://rest.test.zuora.com/v1/payment-schedules';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"accountId":"8a90b4488e7d5c0f018e7db3892400b2","amount":14.99,"billingDocument":{"type":"Invoice","id":"8a90b44890c9bb0d0190d8c048a90da6"},"items":[{"amount":14.99,"scheduledDate":"2024-07-31"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go response
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/v1/payment-schedules"

	payload := strings.NewReader("{\n  \"accountId\": \"8a90b4488e7d5c0f018e7db3892400b2\",\n  \"amount\": 14.99,\n  \"billingDocument\": {\n    \"type\": \"Invoice\",\n    \"id\": \"8a90b44890c9bb0d0190d8c048a90da6\"\n  },\n  \"items\": [\n    {\n      \"amount\": 14.99,\n      \"scheduledDate\": \"2024-07-31\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/v1/payment-schedules")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"accountId\": \"8a90b4488e7d5c0f018e7db3892400b2\",\n  \"amount\": 14.99,\n  \"billingDocument\": {\n    \"type\": \"Invoice\",\n    \"id\": \"8a90b44890c9bb0d0190d8c048a90da6\"\n  },\n  \"items\": [\n    {\n      \"amount\": 14.99,\n      \"scheduledDate\": \"2024-07-31\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://rest.test.zuora.com/v1/payment-schedules")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"accountId\": \"8a90b4488e7d5c0f018e7db3892400b2\",\n  \"amount\": 14.99,\n  \"billingDocument\": {\n    \"type\": \"Invoice\",\n    \"id\": \"8a90b44890c9bb0d0190d8c048a90da6\"\n  },\n  \"items\": [\n    {\n      \"amount\": 14.99,\n      \"scheduledDate\": \"2024-07-31\"\n    }\n  ]\n}")
  .asString();
```

```php response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://rest.test.zuora.com/v1/payment-schedules', [
  'body' => '{
  "accountId": "8a90b4488e7d5c0f018e7db3892400b2",
  "amount": 14.99,
  "billingDocument": {
    "type": "Invoice",
    "id": "8a90b44890c9bb0d0190d8c048a90da6"
  },
  "items": [
    {
      "amount": 14.99,
      "scheduledDate": "2024-07-31"
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp response
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/v1/payment-schedules");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"accountId\": \"8a90b4488e7d5c0f018e7db3892400b2\",\n  \"amount\": 14.99,\n  \"billingDocument\": {\n    \"type\": \"Invoice\",\n    \"id\": \"8a90b44890c9bb0d0190d8c048a90da6\"\n  },\n  \"items\": [\n    {\n      \"amount\": 14.99,\n      \"scheduledDate\": \"2024-07-31\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "accountId": "8a90b4488e7d5c0f018e7db3892400b2",
  "amount": 14.99,
  "billingDocument": [
    "type": "Invoice",
    "id": "8a90b44890c9bb0d0190d8c048a90da6"
  ],
  "items": [
    [
      "amount": 14.99,
      "scheduledDate": "2024-07-31"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/v1/payment-schedules")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```